## EProxy

EProxy

## Functions

EProxy * | e_proxy_new ()
void | e_proxy_setup_proxy ()
SoupURI * | e_proxy_peek_uri_for ()
gboolean | e_proxy_require_proxy_for_uri ()

## Types and Values

struct | EProxy

## Object Hierarchy

        GObject
        ╰── EProxy

## Description

## Functions

### e_proxy_new ()

    EProxy *
    e_proxy_new (void);

`e_proxy_new` is deprecated and should not be used in newly-written code.

#### Returns

a new instance of an EProxy.

[transfer full]

Since: 2.24

### e_proxy_setup_proxy ()

    void
    e_proxy_setup_proxy (EProxy *proxy);

`e_proxy_setup_proxy` is deprecated and should not be used in newly-written code.

Sets up internal structure members and reads the proxy settings.

#### Parameters

proxy | an EProxy |

Since: 2.24

### e_proxy_peek_uri_for ()

    SoupURI *
    e_proxy_peek_uri_for (EProxy *proxy,
                          const gchar *uri);

`e_proxy_peek_uri_for` is deprecated and should not be used in newly-written code.

#### Parameters

proxy | an EProxy |
uri | a URI |

#### Returns

A proxy URI (as a SoupURI) which the given `uri` may use, based on its scheme.

[transfer none]

Since: 2.26

### e_proxy_require_proxy_for_uri ()

    gboolean
    e_proxy_require_proxy_for_uri (EProxy *proxy,
                                   const gchar *uri);

`e_proxy_require_proxy_for_uri` is deprecated and should not be used in newly-written code.

#### Parameters

proxy | an EProxy |
uri | a URI |

#### Returns

Whether the `uri` requires proxy to connect to it

Since: 2.24

## Types and Values

### struct EProxy

    struct EProxy;

`EProxy` is deprecated and should not be used in newly-written code.

Contains only private data that should be read and manipulated using the function below.

Since: 2.24